summaryrefslogtreecommitdiffstats
path: root/development/python3
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2010-05-12 23:28:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:50 +0200
commit29ec79b9939c41327042ff5cd081b7001e65b11e (patch)
tree744dfd3e7258b402f20dbe627d90450af443114b /development/python3
parent0ab3886b595a7960108a4fa48b737b3598a076ef (diff)
downloadslackbuilds-29ec79b9939c41327042ff5cd081b7001e65b11e.tar.gz
slackbuilds-29ec79b9939c41327042ff5cd081b7001e65b11e.tar.xz
development/python3: Added to 12.2 repository
Diffstat (limited to 'development/python3')
-rw-r--r--development/python3/README13
-rw-r--r--development/python3/python3.SlackBuild89
-rw-r--r--development/python3/python3.info8
-rw-r--r--development/python3/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/development/python3/README b/development/python3/README
new file mode 100644
index 0000000000..64880e33b2
--- /dev/null
+++ b/development/python3/README
@@ -0,0 +1,13 @@
+Python is an interpreted, interactive, object-oriented programming language
+that combines remarkable power with very clear syntax. Python's basic power
+can be extended with your own modules written in C or C++. Python is also
+adaptable as an extension language for existing applications.
+
+Python 3 (a.k.a. "Python 3000" or "Py3k") is a new version of the language that
+is incompatible with the 2.x line of releases. The language is mostly the
+same, but many details, especially how built-in objects like dictionaries and
+strings work, have changed considerably, and a lot of deprecated features have
+finally been removed. Also, the standard library has been reorganized in a few
+prominent places.
+
+It is safe to install this on a system which already has 2.x version of Python.
diff --git a/development/python3/python3.SlackBuild b/development/python3/python3.SlackBuild
new file mode 100644
index 0000000000..70ec977cbb
--- /dev/null
+++ b/development/python3/python3.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for python3
+# Written by Audrius Kažukauskas <audrius@neutrino.lt>
+# Based on Patrick Volkerding's official build script for python
+
+PRGNAM=python3
+VERSION=${VERSION:-3.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Location for Python site-packages:
+SITEPK=$PKG/usr/lib/python3.0/site-packages
+# same as above without $PKG
+TOOLSDIR=/usr/lib/python3.0/site-packages
+
+# Normally I don't trust -O3, but it is the Python default so
+# I'll assume that in this case it has been well tested.
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O3 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O3 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Python-$VERSION
+tar xvf $CWD/Python-$VERSION.tar.bz2
+cd Python-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+OPT="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --with-ncurses \
+ --with-threads \
+ --enable-ipv6 \
+ --enable-shared
+
+make
+make altinstall DESTDIR=$PKG
+
+# We'll install the python-tools under site-packages:
+mkdir -p $SITEPK
+( cd Tools ; cp -a * $SITEPK )
+mkdir -p $PKG/usr/doc/python3-$VERSION
+mv $SITEPK/README $PKG/usr/doc/python3-$VERSION/README.python-tools
+( cd $PKG/usr/doc/python3-$VERSION
+ ln -sf $TOOLSDIR Tools
+)
+
+# Install docs:
+mkdir -p $PKG/usr/doc/python3-$VERSION
+cp -a Misc README $PKG/usr/doc/python3-$VERSION
+
+# Resolve name conflicts regarding 2.x releases:
+( cd $PKG/usr/bin
+ mv idle idle3.0
+ mv smtpd.py smtpd3.0.py
+ mv pydoc pydoc3.0
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/python3/python3.info b/development/python3/python3.info
new file mode 100644
index 0000000000..cc95f55d84
--- /dev/null
+++ b/development/python3/python3.info
@@ -0,0 +1,8 @@
+PRGNAM="python3"
+VERSION="3.0.1"
+HOMEPAGE="http://python.org/"
+DOWNLOAD="http://python.org/ftp/python/3.0.1/Python-3.0.1.tar.bz2"
+MD5SUM="7291eac6a9a7a3642e309c78b8d744e5"
+MAINTAINER="Audrius Kazukauskas"
+EMAIL="audrius@neutrino.lt"
+APPROVED="dsomero"
diff --git a/development/python3/slack-desc b/development/python3/slack-desc
new file mode 100644
index 0000000000..694d9ed798
--- /dev/null
+++ b/development/python3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python3: python3 (object-oriented interpreted programming language)
+python3:
+python3: Python is an interpreted, interactive, object-oriented programming
+python3: language that combines remarkable power with very clear syntax.
+python3: This is a new version of the language that is incompatible with the
+python3: 2.x line of releases. The language is mostly the same, but many
+python3: details, especially how built-in objects like dictionaries and strings
+python3: work, have changed considerably, and a lot of deprecated features have
+python3: finally been removed. Also, the standard library has been reorganized
+python3: in a few prominent places.
+python3: